Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000855Zandronum[All Projects] Suggestionpublic2012-06-02 15:462020-02-28 18:58
ReporterTribeam213 
Assigned ToDusk 
PrioritylowSeveritytweakReproducibilityrandom
StatusclosedResolutionfixed 
PlatformAnyOSAnyOS VersionAny
Product Version 
Target Version3.0Fixed in Version3.0 
Summary0000855: Move the Multiplayer Menu from the Main Menu to the Options Menu
DescriptionMove the Multiplayer Menu option that sits on the main menu, and put it in the options menu under "Multiplayer Options"

The M_MULTI gfx that this option uses effects vanilla based mods that use custom menu gfx

ex:http://i.imgur.com/mKLTf.png [^]

Someone suggested "just make a patch" but this idea is just bad, cause you gotta make a patch for each wad, when instead you can just fix this from the source and be done with it.

Also Someone pointed out that offline skrimish sits in the multiplayer menu which technically isn't an option and makes since for it to not be there...so idk about that(maybe put it in the new game area somehow?)
Attached Files

- Relationships
has duplicate 0001136closed Main menu M_MULTI in Strife and Chex 
child of 0002200closedDusk [MENUDEF] Multiplayer options must be rebuilt 
child of 0002197closedDusk Rebuild Zandronum menus for MENUDEF 

-  Notes
User avatar (0003667)
XutaWoo (reporter)
2012-06-04 07:27

If you put Offline Skirmish in the New Game menu, then there'd either have to be yet enother menu on the New Game section, or it'd have to impede on the Episode selection. Which would break something unless scrolling for the Episode, Player Classes, and Skill Level menus is added.

Which wouldn't be a bad thing, but moving Offline Skirmish there would be adding more cluttering or just require a lot more work.

Still this thing always irritated me, so yeah.
User avatar (0003668)
Frits (reporter)
2012-06-04 10:07

Might as well remove the internal server browsers while you'r at it. Never could get it to work anyway.
User avatar (0003669)
bluewizard (reporter)
2012-06-04 14:35

It's annoying enough navigating through options, why not just move multiplayer below quit game so it doesn't overlap anything?
User avatar (0003739)
Klofkac (reporter)
2012-06-11 13:59
edited on: 2012-06-11 14:00

"move multiplayer below quit game"

No, some players quit game through [Esc], [Up arrow], [Enter], [Y]. (In translation, they would always open MP menu by this)

User avatar (0012347)
Dusk (developer)
2015-05-23 21:21

This is now done for 3.0.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: TIHan Blzut3 ZzZombo katZune DartPower unknownna Absolute Zero Leonard
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2012-06-02 15:46 Tribeam213 New Issue
2012-06-04 07:27 XutaWoo Note Added: 0003667
2012-06-04 10:07 Frits Note Added: 0003668
2012-06-04 14:35 bluewizard Note Added: 0003669
2012-06-11 13:59 Klofkac Note Added: 0003739
2012-06-11 14:00 Klofkac Note Edited: 0003739 View Revisions
2015-04-19 21:38 Blzut3 Target Version => 3.0
2015-04-19 21:38 Blzut3 Relationship added related to 0001091
2015-04-19 21:47 Blzut3 Relationship added has duplicate 0001136
2015-04-19 21:48 Blzut3 Relationship added child of 0002200
2015-04-27 13:08 Dusk Assigned To => Dusk
2015-04-27 13:08 Dusk Status new => assigned
2015-05-23 21:21 Dusk Note Added: 0012347
2015-05-23 21:21 Dusk Status assigned => resolved
2015-05-23 21:21 Dusk Fixed in Version => 3.0
2015-05-23 21:21 Dusk Resolution open => fixed
2015-05-26 00:29 Dusk Relationship added parent of 0002197
2015-05-26 00:29 Dusk Relationship deleted related to 0001091
2015-05-26 18:13 Dusk Relationship replaced child of 0002197
2018-09-30 22:25 Blzut3 Status resolved => closed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker